## org.apache.http.impl.cookie
Class RFC2109VersionHandler

    java.lang.Object
      org.apache.http.impl.cookie.AbstractCookieAttributeHandler
          org.apache.http.impl.cookie.RFC2109VersionHandler

All Implemented Interfaces:
  CookieAttributeHandler

    @Immutable
    public class RFC2109VersionHandler

extends AbstractCookieAttributeHandler

Since:
  4.0

Constructor Summary
`RFC2109VersionHandler()`

Method Summary
`void` `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.
`void` `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

Methods inherited from class org.apache.http.impl.cookie.AbstractCookieAttributeHandler
`match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RFC2109VersionHandler

    public RFC2109VersionHandler()

Method Detail

### parse

    public void parse(SetCookie cookie,
                      String value)
               throws MalformedCookieException

  Description copied from interface: `CookieAttributeHandler`
  Parse the given cookie attribute value and update the corresponding `Cookie` property.

  Parameters:
    `cookie` - `Cookie` to be updated
    `value` - cookie attribute value from the cookie response header
  Throws:
    `MalformedCookieException`

### validate

    public void validate(Cookie cookie,
                         CookieOrigin origin)
                  throws MalformedCookieException

  Description copied from interface: `CookieAttributeHandler`
  Peforms cookie validation for the given attribute value.

  Specified by:
    `validate` in interface `CookieAttributeHandler`
  Overrides:
    `validate` in class `AbstractCookieAttributeHandler`
  Parameters:
    `cookie` - `Cookie` to validate
    `origin` - the cookie source to validate against
  Throws:
    `MalformedCookieException` - if cookie validation fails for this attribute

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.